# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'seiel/i18n_goodies/version'

Gem::Specification.new do |spec|
  spec.name          = 'seielit-i18n_goodies'
  spec.version       = I18nGoodies::VERSION
  spec.authors       = ['Ignacio Carrera']
  spec.email         = ['icarrera@seiel.com.ar']

  spec.summary       = 'Adds convenience methods to ActiveRecord models.'
  spec.homepage      = 'https://code.seiel.com.ar/seiel/i18n_goodies'
  spec.license       = 'MIT'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path('..', __FILE__)) do # rubocop:disable ExpandPathArguments
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler',
    '~> 2.0'
  spec.add_development_dependency 'minitest',
    '~> 5.0'
  spec.add_development_dependency 'rake',
    '~> 10.0'
end
